Inhalte
Index 🔎︎

# Funktion FreeFile

Gibt die nächst verfügbare Datenkanalnummer zum Öffnen einer Datei zurück. Verwenden Sie diese Funktion, um eine Datei unter Verwendung einer Datenkanalnummer zu öffnen, die noch nicht von einer bereits geöffneten Datei verwendet wird.

## Syntax:

    FreeFile

## Rückgabewert:

Integer

## Parameter:

Diese Funktion macht natürlich nur dann Sinn, wenn sie direkt vor einer Anweisung Open aufgerufen wird. FreeFile ermittelt nur die nächste Datenkanalnummer, reserviert sie aber nicht.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

67 Zu viele Dateien

## Beispiel:

    Sub ExampleWorkWithAFile
    Dim iNumber As Integer
    Dim sLine As String
    Dim aFile As String
    Dim sMsg As String
        aFile = "c:\data.txt"
        sMsg = ""
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        Print #iNumber, "Das ist eine weitere Zeile Text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As #iNumber
        While Not eof(#iNumber)
            Line Input #iNumber, sLine
            If sLine <>"" Then
                sMsg = sMsg & sLine & chr(13)
            End If
        Wend
        Close #iNumber
        MsgBox sMsg
    End Sub